메인 콘텐츠로 건너뛰기
POST
/
audio
/
quote
/api/v1/audio/quote
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "duration_seconds": 60,
  "character_count": 100
}
'
{
  "quote": 0.75
}
이 엔드포인트는 선택한 모델과 매개변수로 오디오 생성 요청의 USD 비용을 추정하기 위해 /audio/queue 호출 전에 사용하세요.

Postman 컬렉션

추가 예제는 이 Postman 컬렉션을 참조하세요.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

application/json
model
string
필수

The model to get a price quote for.

예시:

"elevenlabs-music"

duration_seconds

Optional duration hint in seconds. Only supported for models that expose duration metadata via /models. Accepts either an integer or a numeric string. If omitted, the model default duration is used when available.

필수 범위: x > 0
예시:

60

character_count
integer

Optional character count for character-based pricing models. Required when the selected model uses pricing.per_thousand_characters in /models.

필수 범위: x > 0
예시:

100

응답

Price quote for audio generation

quote
number
필수

The estimated price in USD for the audio generation.

예시:

0.75